### File

`packages/components/eui-table/filter/eui-table-filter.component.ts`

### Description

Component used with `eui-table` to add a filter feature to the table.

### Implements

`OnInit` `OnDestroy`

### Metadata

encapsulation | `ViewEncapsulation.None`
HostDirectives | `BaseStatesDirective`
selector | `eui-table-filter`
imports | `FormsModule` `ReactiveFormsModule` `EUI_ICON_INPUT` `EUI_ICON` `EUI_INPUT_TEXT`
templateUrl | `./eui-table-filter.component.html`

### Index

###### Properties
Public filter$ filterInput Public form
###### Methods
Public resetFilter Public setFilter
###### Inputs
autoSearch placeholder
###### Outputs
filterChange
###### HostBindings
class
###### Accessors
cssClasses

### Inputs

autoSearch
Type : `boolean`
Default value : `false`

placeholder
Type : `string`
Placeholder text for the filter input.

### Outputs

filterChange
Type : `EventEmitter`
Event emitted when the value of the input changes.

### HostBindings

class
Type : `string`

### Methods

Public resetFilter
`resetFilter()`
Reset the filter and emit the change event. Returns : `void`

Public setFilter
`setFilter(value: string)`
Set the filter value and emit the change event. Parameters :
Name | Type | Optional | Description
value | `string` | No | Value of the input.
Returns : `void`

### Properties

Public filter$
Type : `BehaviorSubject<string | null>`
Default value : `new BehaviorSubject(null)`

filterInput
Type : `ElementRef<HTMLInputElement>`
Decorators : `@ViewChild('filterInput', {read: ElementRef})`

Public form
Type : `FormGroup`

### Accessors

cssClasses
get `cssClasses()`
Computes and returns the CSS classes for the component based on its current state. Returns : `string`

# results matching ""

# No results matching ""